<?php
/***** Theme Info Page *****/
if (!function_exists('enigma_info_page')) {
	function enigma_info_page() {
	$page1=add_theme_page(__('Creative', 'creative'), __('Theme Info', 'creative'), 'edit_theme_options', 'creative_page', 'creative_display_theme_info_page');
	
	add_action('admin_print_styles-'.$page1, 'weblizar_admin_info');
	}
}
add_action('admin_menu', 'enigma_info_page');
function weblizar_admin_info(){
	wp_enqueue_style('admin',  get_template_directory_uri() .'/functions/theme-page/admin.css');
}
if (!function_exists('creative_display_theme_info_page')) {
	function creative_display_theme_info_page() {
		$theme_data = wp_get_theme(); ?>
		<div class="theme-info-wrap">
			<h1><?php printf(__('Welcome to %1s %2s', 'creative'), $theme_data->Name, $theme_data->Version ); ?></h1>
			<div class="theme-description"><?php echo $theme_data->Description; ?></div>
			<hr>
			<div class="theme-links clearfix">
				<p><strong><?php _e('Important Links:', 'creative'); ?></strong>
					
					<a href="https://wordpress.org/support/theme/creative" target="_blank"><?php _e('Support Center', 'creative'); ?></a>
					<a href="https://wordpress.org/support/view/theme-reviews/creative" target="_blank"><?php _e('Rate this theme', 'creative'); ?></a>
				</p>
			</div>
			<hr>
			<div id="getting-started">
				<h3><?php printf(__('Getting Started with %s', 'creative'), $theme_data->Name); ?></h3>
				<div class="row clearfix">
					<div class="col-1-2">
						<div class="section">
							<h4><?php _e('1. Guide', 'creative'); ?></h4>
							<p class="about"><?php _e('A. To enable HomePage please go to Settings >> Reading and checked A static page check-box and select front page from options. Now Edit the selected page and on right hand side of editor, Select Template as HOME in Page Attributes Section.', 'creative'); ?></p>
							<p class="about"><?php _e('B. The creative theme support post slider by default. This slider get last three posts thumbnails', 'creative'); ?></p>
							<p class="about"><?php _e('C. Theme recommends  Ultimate Responsive Image Slider plugin for slider. With this plugin you can add unlimited slides in slider. Please Install this plugin and activate it in Customize >>Theme General Options.', 'creative'); ?></p>
						</div>
						<div class="section">
							<h4><?php _e('2. Front Page Customization', 'creative'); ?></h4>
							<p class="about"><?php printf(__('%s supports the Theme Customizer for all Front Page settings. Click "Customize Theme" to open the Customizer now.',  'creative'), $theme_data->Name); ?></p>
							<p>
								<a href="<?php echo esc_url(admin_url('customize.php')); ?>" class="button button-primary"><?php _e('Customize Theme', 'creative'); ?></a>
							</p>
						</div>
						<div class="section">
							<h4><?php _e('Upgrade to Premium', 'creative'); ?></h4>
							<p class="about"><?php _e('Need more features and options? Check out the Premium Version of this theme which comes with additional features and advanced customization options for your website.', 'creative'); ?></p>
							<p>
								<a href="https://weblizar.com/themes/creative-premium/" target="_blank" class="button button-secondary"><?php _e('Learn more about the Premium Version', 'creative'); ?></a>
							</p>
						</div>
					</div>
					<div class="col-1-2">
						<img src="<?php echo esc_url(get_template_directory_uri().'/screenshot.png'); ?>" alt="<?php _e('Theme Screenshot', 'creative'); ?>" />
					</div>
				</div>
			</div>
			<hr>
			<div id="theme-author">
				<p><?php printf(__('%1s is proudly brought to you by %2s. If you like this WordPress theme, %3s.', 'creative'),
					$theme_data->Name,
					'<a target="_blank" href="https://weblizar.com/" title="creative">Weblizar</a>',
					'<a target="_blank" href="https://wordpress.org/support/view/theme-reviews/creative" title="Creative Review">' . __('rate it', 'creative') . '</a>'); ?>
				</p>
			</div>
		</div> <?php
	}
}
?>